PROGRAM Clone;               { (C) 1991 John C. Leon   last updated 11/25/91 }

{$IFDEF production} {$D-,R-,L-,S-} {$ENDIF}

USES
   BTP;

VAR
   OrgName, CopyName   : string[79];
   Supplementals       : string;
   Counter, Option     : integer;

BEGIN
   if (paramstr(1) = '?') or (paramstr(1) = '/?') then
      begin
      writeln('CLONE will duplicate the structure of an existing Btrieve file.');
      writeln('The target table will hold no records.  If the source file has');
      writeln('supplemental indexes, you can choose to retain them as');
      writeln('supplemental indexes, drop them, or retain them as permanent');
      writeln('indexes.  Specifying ''NONE'' will retain existing supplemental');
      writeln('indexes as PERMANENT indexes in the clone.');
      writeln;
      writeln('USAGE: CLONE source_file target_file [drop|retain|none]');
      halt;
      end;
   if (paramcount < 3) and (paramstr(1) <> '?') then
      begin
      writeln('USAGE: CLONE source_file target_file drop|retain|none');
      halt;
      end;

   OrgName := paramstr(1); CopyName := paramstr(2); Supplementals := paramstr(3);

   for Counter := 1 to length(Supplementals) do
      Supplementals[Counter] := upcase(Supplementals[Counter]);

   if Supplementals = 'DROP'       then Option := Drop   else
      if Supplementals = 'RETAIN'  then Option := Retain else
         if Supplementals = 'NONE' then Option := None   else
            begin
            writeln('Incorrect option.  Specify DROP, RETAIN or NONE.');
            halt;
            end;

   BStatus := CloneFile(OrgName, CopyName, Option);
   if BStatus = 0 then
      writeln(CopyName, ' created successfully.')
      else
      writeln('Error creating ', CopyName, '.  Status = ', BStatus, '.');
END.
